# -*- rpm-spec -*-

%define PatchedSource ../%{name}-%{version}-patched.tar.xz

Summary: osinfo database files
Name: osinfo-db
Version: 20181011
Release: 8%{?dist}
License: LGPLv2+
Source0: https://fedorahosted.org/releases/l/i/libosinfo/%{name}-%{version}.tar.xz
Source1: https://fedorahosted.org/releases/l/i/libosinfo/%{name}-%{version}.tar.xz.asc
URL: http://libosinfo.org/
BuildRequires: intltool
BuildRequires: osinfo-db-tools
BuildArch: noarch
Requires: hwdata

### Downstream Patches ###
Patch0001: 0001-rhel-Add-rhel-7.6-media-info.patch
Patch0002: 0002-rhel-Add-rhel-8-media-info.patch
Patch0003: 0003-install-script-Add-JeOS-support-for-rhel-8.patch
Patch0004: 0004-install-script-Add-Desktop-support-for-rhel-8.patch
Patch0005: 0005-debian-testing-upgrades-derives-from-debian-9.patch
Patch0006: 0006-fedora-Update-f29-data.patch
Patch0007: 0007-silverblue-Update-silverblue29-data.patch
Patch0008: 0008-ubuntu18.10-Update-data-after-release.patch
Patch0009: 0009-silverblue-Adjust-ostree-ref-name-for-f29.patch

%description
The osinfo database provides information about operating systems and
hypervisor platforms to facilitate the automated configuration and
provisioning of new virtual machines

%prep
%setup
for p in %patches ; do
    %__patch -p1 -i $p
done

# Remove spurious leftovers frm when applying the patches
find ../%{name}-%{version}/ -name "*.orig" -exec rm -f {} \;

# For us to be able to apply patches on top of a rebase, we:
# 1. unpack the sources
# 2. patch the sources
# 3. pack the sources in a tarball
# 4. feed the patched tarball to osinfo-db-import
%build
tar -cvJf %{PatchedSource} ../%{name}-%{version}/

%install
osinfo-db-import  --root %{buildroot} --dir %{_datadir}/osinfo %{PatchedSource}

%files
%dir %{_datadir}/osinfo/
%{_datadir}/osinfo/VERSION
%{_datadir}/osinfo/LICENSE
%{_datadir}/osinfo/datamap
%{_datadir}/osinfo/device
%{_datadir}/osinfo/os
%{_datadir}/osinfo/platform
%{_datadir}/osinfo/install-script
%{_datadir}/osinfo/schema

%changelog
* Fri Dec 07 2018 Fabiano Fidêncio <fidencio@redhat.com> - 20181011-8
- Resolves: rhbz#1656917 - backport change to support Fedora 29 Silverblue

* Fri Nov 16 2018 Fabiano Fidêncio <fidencio@redhat.com> - 20181011-7
- Resolves: rhbz#1650197 - Fix the volume-ids of rhel8.0 entry
- Resolves: rhbz#1650459 - test-mediauris is failing because of ubuntu change
- Related: rhbz#1580232 - Add support to RHEL7.6 and RHEL8.0

* Wed Nov 14 2018 Fabiano Fidêncio <fidencio@redhat.com> - 20181011-6
- Related: rhbz#1580232 - Add support to RHEL7.6 and RHEL8.0

* Sat Nov 03 2018 Fabiano Fidêncio <fidencio@redhat.com> - 20181011-5
- Related:  rhbz#1580232 - Add support to RHEL7.6 and RHEL8.0

* Thu Nov 01 2018 Fabiano Fidêncio <fidencio@redhat.com> - 20181011-4
- Related: rhbz#1644738 - Fix a typo in the Fedora 29 XML

* Thu Nov 01 2018 Fabiano Fidêncio <fidencio@redhat.com> - 20181011-3
- Resolves: rhbz#1644738 - Latest released Fedora 29 support in RHEL8 instead
                           of Fedora 29 Beta

* Mon Oct 22 2018 Fabiano Fidêncio <fidencio@redhat.com> - 20181011-2
- Resolves: rhbz#1640458 - Debian Testing should derive-from/upgrade Debian 9

* Thu Oct 11 2018 Fabiano Fidêncio <fidencio@redhat.com> - 20181011-1
- Related: rhbz#1627271 - Update to 20181011 release

* Fri Sep 21 2018 Fabiano Fidêncio <fidencio@redhat.com> - 20180920-1
- Related: rhbz#1627271 - Update to 20180920 release

* Mon Sep 10 2018 Fabiano Fidêncio <fidencio@redhat.com> - 20180903-1
- Related: rhbz#1627271 - Update to 20180903 release

* Mon Sep 10 2018 Fabiano Fidêncio <fidencio@redhat.com> - 20180612-2
- Resolves: rhbz#1580232 - Add support to RHEL-7.6 and RHEL-8.0

* Wed Jun 20 2018 Daniel P. Berrangé <berrange@redhat.com> - 20180612-1
- Update to 20180612 release

* Mon Apr 16 2018 Fabiano Fidêncio <fabiano@fidencio.org> - 20180416-1
- Update to new release

* Sun Mar 25 2018 Fabiano Fidêncio <fabiano@fidencio.org> - 20180325-1
- Update to new release

* Sun Mar 18 2018 Fabiano Fidêncio <fabiano@fidencio.org> - 20180318-1
- Update to new release

* Sun Mar 11 2018 Fabiano Fidêncio <fabiano@fidencio.org> - 20180311-1
- Update to new release

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 20170813-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Aug 13 2017 Fabiano Fidêncio <fabiano@fidencio.org> - 20170813-1
- Update to new release

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20170423-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Apr 23 2017 Fabiano Fidêncio <fabiano@fidencio.org> - 20170423-1
- Update to new release

* Sun Mar 26 2017 Fabiano Fidêncio <fabiano@fidencio.org> - 20170326-1
- Update to new release

* Sat Feb 25 2017 Fabiano Fidêncio <fabiano@fidencio.org> - 20170225-1
- Update to new release

* Sat Feb 11 2017 Fabiano Fidêncio <fabiano@fidencio.org> - 20170211-1
- Update to new release

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20170121-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 21 2017 Fabiano Fidêncio <fabiano@fidencio.org> - 20170121-2
- 20170121-1 used an incorrect tarball

* Sat Jan 21 2017 Fabiano Fidêncio <fabiano@fidencio.org> - 20170121-1
- Update to new release

* Sat Jan 14 2017 Fabiano Fidêncio <fabiano@fidencio.org> - 20170114-1
- Update to new release

* Sat Jan 07 2017 Fabiano Fidêncio <fabiano@fidencio.org> - 20170107-1
- Update to new release

* Wed Oct 26 2016 Daniel P. Berrange <berrange@redhat.com> - 20161026-1
- Update to new release

* Fri Jul 29 2016 Daniel P. Berrange <berrange@redhat.com> - 20160728-1
- Initial package after split from libosinfo (rhbz #1361596)
